Admins: Update Current Admin
- Admin whose token is in the header will get updated
PUT /apps/{app_id}/admins/update_current_adminPath Parameters
Section titled “Path Parameters”| Name | Type | Required | Description |
|---|---|---|---|
app_id |
string | No | id of the pulsate app |
Body Parameters
Section titled “Body Parameters”| Name | Type | Required | Description |
|---|---|---|---|
admin[name] |
string | Yes | name of the admin |
admin[job_title] |
string | No | job title of admin |
admin[avatar_s3_url] |
string | No | image url of the admin |
reset |
string | No | you can pass it as true if you want to reset admin avatar |
Headers
Section titled “Headers”| Name | Type | Required | Description |
|---|---|---|---|
Authorization |
string | Yes | {my_admin_api_token} |
Content-Type |
string | No | application/json |
Request Example
Section titled “Request Example”curl --request PUT \ --url https://control.pulsatehq.com/api/v2/apps/{app_id}/admins/update_current_admin \ --header 'Authorization: Token token={my_admin_api_token}' \ --header 'Content-Type: application/json' \ --data '{ "admin": { "name": "mAdmin", "job_title": "Software", "avatar_s3_url": "image_url" }}'
